Security Report
GET/partner/report/:user_domain_idx
Retrieves all report data for the specified domain and date range in a single request.
Request
Responses
- 200
- 400
- 401
- 404
- 500
200Report data retrieved successfully
Response 200
{
"message": {
"key": "RES000000",
"value": "success"
},
"data": {
"search_term": {
"from": "2026-03-01",
"to": "2026-03-31"
},
"report_data": {
"url": "example.com",
"user_code": "DEMO-USR-001",
"browser_title": "Security Report_260301_260331",
"is_cloudbric_user": false,
"partner_name_view": "brand name",
"start_date": "March 1st",
"end_date": "March 31st",
"total_traffic": 0,
"total_traffic_mb": 3210.34,
"total_traffic_kb": 3210456.78,
"total_visits": 1000,
"total_web_hacking": 71,
"total_malicious_ip_block": 0,
"total_bot_block": 0,
"total_attacks": 71,
"total_traffic_standard": "1Mbps",
"data_attacks_visits": [
{
"date": "2026-03-01",
"visits": 33,
"attacks": 1
}
],
"data_attack_types": [
{
"rule_name": "Extension Filtering",
"count": "304",
"percent": -250.71,
"content": "It blocks access from resources containing non-permitted file extensions."
}
],
"data_attack_ips": [
{
"ip": "198.51.100.0",
"country_name": "Unknown",
"count": 307,
"percent": 112.68
}
],
"data_attack_purpose": [
{
"purpose_name": "Personal Data Breach",
"count": 307,
"percent": 112.68,
"content": "It refers to a behavior that attempts to access sensitive personal information."
}
],
"data_attack_countries": [
{
"country_code": "US",
"country_name": "United States",
"count": 53,
"percent": 112.68,
"action": ""
}
],
"data_bot_control": null,
"data_malicious_ip": null,
"data_bot_control_country": null,
"data_malicious_ip_country": null,
"service_plan_idx": 1
},
"timezone": "UTC"
}
}
Schema Details
| Field | Type | Description |
|---|---|---|
message | object | |
data | object |
400Bad Request
Response 400
{
"message": {
"key": "RES000002",
"value": "Bad Request"
}
}
Schema Details
| Field | Type | Description |
|---|---|---|
message | object |
401Unauthorized
Response 401
{
"message": {
"key": "RES000033",
"value": "Unauthorized"
}
}
Schema Details
| Field | Type | Description |
|---|---|---|
message | object |
404Data not found
Response 404
{
"message": {
"key": "RES000018",
"value": "Data not found"
}
}
Schema Details
| Field | Type | Description |
|---|---|---|
message | object |
500Internal server error
Response 500
{
"message": {
"key": "RES000029",
"value": "An internal server error has occurred."
}
}
Schema Details
| Field | Type | Description |
|---|---|---|
message | object |